<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v1.2 www.exoops.info 2006/03 
// $Id: waiting.inc.php,v 1.1 2004/01/09 13:49:13 nobse Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Half-Dead
// Author Website : http://www.e-xoops.com
// License Type   : LGPL: See /manual/LICENSES/LGPL.txt
// ------------------------------------------------------------------------- //
//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function ecal_waiting() {
global $db,$bcoosConfig;
$count   = 0;
$waiting = array();
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("ecal")." WHERE valid='no'");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/ecal/admin/index.php";
		$waiting[$count]['text']  = _CALEVENTSWAIT;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
return $waiting;
}
?>
